package com.game.demo;

import java.awt.*;
import java.util.ArrayList;
import java.util.List;

public class Constant {
    // 界面宽度大小设置
    public static final int GAME_WIDTH = 460;
    public static final int GAME_HEIGHT = 720;

    // 加载背景图片
    public static Image bgImage = Toolkit.getDefaultToolkit().getImage("Image\\背景.png");
    // 加载boss图片
    public static Image bossImage = Toolkit.getDefaultToolkit().getImage("Image\\enemy2.png");
    // 加载爆炸效果图片
    public static Image explodeImage = Toolkit.getDefaultToolkit().getImage("Image\\飞机爆炸.png");
    // 加载我方飞机图片
    public static Image myImage = Toolkit.getDefaultToolkit().getImage("Image\\飞机.png");
    // 加载我方飞机子弹图片
    public static Image myshellImage = Toolkit.getDefaultToolkit().getImage("Image\\bullet1.png");
    // 加载敌方boss子弹图片
    public static Image bulletImage = Toolkit.getDefaultToolkit().getImage("Image\\bullet2.png");
    // 加载地方战斗机图片
    public static Image enemyImage = Toolkit.getDefaultToolkit().getImage("Image\\enemy1.png");

    // 所有游戏物体的集合
    public static List<myPlane> gameObjList = new ArrayList<myPlane>();
    // 我方子弹集合
    public static List<ShellObj> shellObjList = new ArrayList<ShellObj>();
    // 地方飞机集合
    public static List<EnemyObj> enemyObjList = new ArrayList<EnemyObj>();
    // 需删除的元素集合
    public static List<myPlane> removeList = new ArrayList<myPlane>();
    // 敌方子弹集合
    public static List<BulletObj> bulletObList = new ArrayList<BulletObj>();

    public static void drawWord(Graphics gImage, String str, Color color, int size, int x, int y){
        gImage.setColor(color);
        gImage.setFont(new Font("宋体", Font.BOLD, size));
        gImage.drawString(str, x, y);
    }
}
