package com.game.demo;

import java.awt.*;

public class BossObj extends myPlane{
    int life = 10;
    public BossObj(Image img, int x, int y, int width, int height, double speed, PlaneGame frame) {
        super(img, x, y, width, height, speed, frame);
    }

    @Override
    public void paintSelf(Graphics gImage) {
        super.paintSelf(gImage);
        if (x > 400 || x < -10){
            speed = -speed;
        }
        x += speed;
        for(ShellObj shellObj:Constant.shellObjList){
            if(this.getRec().intersects(shellObj.getRec())){
                shellObj.setX(-100);
                shellObj.setY(100);
                Constant.removeList.add(shellObj);
                life -= 1;
            }
            if(life <= 0){
                PlaneGame.state = 3;
            }
        }
        gImage.setColor(Color.white);
        gImage.fillRect(20, 40, 100, 10);
        gImage.setColor(Color.red);
        gImage.fillRect(20, 40, life*100/10,10);
    }

    @Override
    public Rectangle getRec() {
        return super.getRec();
    }
}
