package com.game.demo;

import java.awt.*;

public class EnemyObj extends myPlane{
    public EnemyObj() {
        super();
    }

    public EnemyObj(Image img, int x, int y, int width, int height, double speed, PlaneGame frame) {
        super(img, x, y, width, height, speed, frame);
    }

    @Override
    public void paintSelf(Graphics gImage) {
        super.paintSelf(gImage);
        y += speed;
        // 检测我方飞机是否和地方飞机碰撞
        if(this.getRec().intersects(this.frame.planeObj.getRec())){
            if(PlaneGame.life >= 1){
                PlaneGame.life -= 1;
                Constant.removeList.add(this);
            }else{
                PlaneGame.state = 2;
            }
        }
        if(y > 750){
            this.x = -200;
            this.y = 200;
            Constant.removeList.add(this);
        }
        for(ShellObj shellObj:Constant.shellObjList){
            if(this.getRec().intersects(shellObj.getRec())){
                shellObj.setX(-100);
                shellObj.setY(100);
                this.x = -200;
                this.y = 200;
                Constant.removeList.add(shellObj);
                Constant.removeList.add(this);
                PlaneGame.score += 1;
;            }
        }
    }

    @Override
    public Rectangle getRec() {
        return super.getRec();
    }
}

