package com.game.demo;

import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class PlaneObj extends myPlane{
    @Override
    public Image getImg() {
        return super.getImg();
    }

    public PlaneObj() {
        super();
    }

    public PlaneObj(Image img, int x, int y, int width, int height, double speed, PlaneGame frame) {
        super(img, x, y, width, height, speed, frame);
        this.frame.addMouseMotionListener(new MouseAdapter() {
            @Override
            public void mouseMoved(MouseEvent e) {
                PlaneObj.super.x = e.getX() - 14;
                PlaneObj.super.y = e.getY() - 14;
            }
        });
    }

    @Override
    public void paintSelf(Graphics gImage) {
        super.paintSelf(gImage);
        // 我方飞机与敌方boss飞机的碰撞检测
        if(this.frame.bossObj != null && this.getRec().intersects(this.frame.bossObj.getRec())){
            if(PlaneGame.life >= 1){
                PlaneGame.life -= 1;
                System.out.println("我方生命剩余："+PlaneGame.life);
            }else{
                PlaneGame.state = 2;
            }
        }
    }

    @Override
    public Rectangle getRec() {
        return super.getRec();
    }
}
